# IngressRoutes

These manifests define extra ingress routes, most notably routes that are
proxied external to the cluster.
To facilitate easier declaration, the manifests are generated by a
simple templating script with YAML configuration through Jinja templating.

We decided on the templating solution over Helm because FluxCD, our GitOps tool,
requires a Helm repository to apply a Helm chart. We don't have a Helm
repository and it seems overkill to create even a simple Helm repository just
for a single chart. Additionally, creating a Helm repository creates another
point of failure and adds complexity in the GitOps pipeline.

## Templating script

By default, `templater/main.py` sources the config from `templater/values.yaml`
and emits the templated manifests into `build/`.

Run `templater/main.py -h` for a full list of arguments.
