terraform {
  backend "s3" {
    bucket = "tfstate"

    endpoints = {
      s3 = var.s3_backend_endpoint
    }

    key        = "homelab.tfstate"
    access_key = var.s3_access_key
    secret_key = var.s3_secret_key

    region                      = "main" # Region validation will be skipped
    skip_credentials_validation = true   # Skip AWS related checks and validations
    skip_requesting_account_id  = true
    skip_metadata_api_check     = true
    skip_region_validation      = true
    use_path_style              = true # Enable path-style S3 URLs (https://<HOST>/<BUCKET> https://developer.hashicorp.com/terraform/language/settings/backends/s3#use_path_style
  }
}
