module "docker_swarm_stingray" {
  source = "./modules/docker-swarm"

  swarm_name    = "stingray"
  vm_id_prefix  = "8"
  subnet_cidr   = "10.0.42.0/24"
  gateway       = var.gateway
  manager_count = 3
  worker_count  = 3
  dns_server_ip = local.dns_server_ip

  proxmox_vm_storage    = var.proxmox_vm_storage
  proxmox_image_storage = var.proxmox_image_storage

  common_cloud_init = local.common_cloud_init
  cloud_image_id    = proxmox_virtual_environment_file.ubuntu_cloud_image.id
}
