variable "proxmox_image_storage" {
  type = string
}

variable "proxmox_vm_storage" {
  type = string
}

variable "vm_id_prefix" {
  type        = number
  description = "Prefix for the vm ids in the cluster"
}

variable "gateway" {
  type    = string
  default = "10.0.0.1"
}
variable "swarm_name" {
  type = string
}

variable "manager_count" {
  type = number
  validation {
    condition     = var.manager_count <= 8
    error_message = "Too many manager nodes"
  }
}

variable "worker_count" {
  type = number
  validation {
    condition     = var.worker_count <= 16
    error_message = "Too many worker nodes"
  }
}

variable "common_cloud_init" {
  type        = string
  description = "Base cloud-init template"
}

variable "cloud_image_id" {
  type        = string
  description = "Cloud image to use"
}

variable "subnet_cidr" {
  type = string
  # example "10.0.185.0/24"
}

variable "dns_server_ip" {
  type = string
}
